LINUX.ORG.RU

GNOME

 


0

2

Здравствуйте! Пытаюсь запустить GNOME $gnome-session и получаю такой ответ :

debian:~# gnome-session

(gnome-session:32414): Gtk-WARNING **: Locale not supported by C library. Using the fallback 'C' locale.

(gnome-session:32414): Gtk-WARNING **: cannot open display:

Подскажите, пожалуйста, что не так. Куда двигаться?


В Debian wiki. Там хорошо написано, как правильно запускать GNOME

Deleted ()
Ответ на: комментарий от Deleted

GNOME

apt-get install gdm3 Reading package lists... Done Building dependency tree Reading state information... Done E: Couldn't find package gdm3

fbb ()
Ответ на: комментарий от Deleted

gnome

apt-get install gdm дало следующее :

Done. perl: warning: Setting locale failed. perl: warning: Please check that your locale settings: LANGUAGE = (unset), LC_ALL = (unset), LANG = «en_US.UTF-8» are supported and installed on your system. perl: warning: Falling back to the standard locale («C»). Warning: The home dir /var/lib/gdm you specified already exists. Adding system user `gdm' (UID 108) ... Adding new user `gdm' (UID 108) with group `gdm' ... The home directory `/var/lib/gdm' already exists. Not copying from `/etc/skel'. adduser: Warning: The home directory `/var/lib/gdm' does not belong to the user you are currently creating. usermod: no changes usermod: no changes usermod: no changes Scheduling reload of GNOME Display Manager configuration: gdm. Setting up gdm-themes (0.6.1) ... Setting up xbase-clients (1:7.3+20) ... Setting up xserver-xephyr (2:1.4.2-10.lenny4) ... Setting up zenity (2.22.1-2) ... Processing triggers for menu ... Errors were encountered while processing: desktop-base E: Sub-process /usr/bin/dpkg returned an error code (1)

fbb ()

Создайте файл ~/.xinitrc (или ~/.xsession, предпочтительнее, но может не сработать) с кодом:

gnome-session
Или
exec gnome-session
Это уже на свой вкус.

Теперь в консоле:

startx

Если не сработает поставьте пакет xinit. И снова сделайте startx.

lexazloy ()
Ответ на: gnome от fbb

Done E: Couldn't find package gdm3

Какая версия debian?

Setting locale failed. perl: warning: Please check that your locale settings

dpkg-reconfigure locales

Deleted ()
Ответ на: gnome от fbb

Используй [pre] или [code], чтобы не получалось такой каши.

Klymedy ★★★★★ ()
Ответ на: комментарий от Deleted

gnome

Linux version 2.6.26-2-686 (Debian 2.6.26-27) (dannf@debian.org) (gcc version 4. 1.3 20080704 (prerelease) (Debian 4.1.2-25)) #1 SMP Wed Sep 21 04:35:47 UTC 2011

fbb ()

gnome

apt-get install gnome дал ошибку

perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
        LANGUAGE = (unset),
        LC_ALL = (unset),
        LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
Setting up pstoedit (3.45-4) ...
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
        LANGUAGE = (unset),
        LC_ALL = (unset),
        LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
Setting up tomboy (0.10.2-1) ...
Setting up gs-esp (8.62.dfsg.1-3.2lenny5) ...
Setting up libmono-system-web2.0-cil (1.9.1+dfsg-6) ...
Processing triggers for python-support ...
Processing triggers for menu ...
Errors were encountered while processing:
 desktop-base
 gnome-desktop-environment
 gnome
E: Sub-process /usr/bin/dpkg returned an error code (1)

fbb ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.